import { defineComponent, computed, openBlock, createElementBlock, normalizeClass, renderSlot } from "vue";
import { _ as _export_sfc } from "../../plugin-vue_export-helper.js";
const _sfc_main = defineComponent({
  name: "Banner",
  props: {
    variant: {
      required: false,
      default: () => "primary"
    }
  },
  setup(props) {
    const styles = computed(() => {
      return {
        background: `--vue-test-color-${props.variant}`,
        color: `--vue-test-color-${props.variant}-contrast`
      };
    });
    return {
      styles
    };
  }
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return openBlock(), createElementBlock("p", {
    class: normalizeClass(_ctx.styles)
  }, [
    renderSlot(_ctx.$slots, "default")
  ], 2);
}
var banner = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export { banner as default };
